#include <iostream>
using namespace std;
int main ()
{
    long long n,k,p=0;;
    cin>>n>>k;
    int meta[2*n+1],polja[n];
    for (int i=0;i<2*n+1;i++)
    {
        meta[i]=0;
    }
    for (int i=0;i<n;i++)
    {
        int a;
        cin>>a;
        meta[a+n+1]++;
        if (meta[a+n+1]==k)
        {
            polja[p]=a;
            p++;
        }
    }
    cout<<p<<endl;
    for(int i=0;i<p;i++)
    {
        cout<<polja[i]<<" ";
    }
    return 0;



}